Bug 641907 - lpfc driver oops during rhel6 installation with snapshot 12/13 and emulex FC [rhel-6.0.z]
Summary: lpfc driver oops during rhel6 installation with snapshot 12/13 and emulex FC ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.0
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Frantisek Hrbata
QA Contact: Gris Ge
URL:
Whiteboard:
Depends On: 634703
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-11 13:45 UTC by RHEL Program Management
Modified: 2010-11-11 12:03 UTC (History)
15 users (show)

Fixed In Version: kernel-2.6.32-71.4.1.el6
Doc Type: Bug Fix
Doc Text:
Systems that have an Emulex FC controller (with SLI-3 based firmware) installed could return a kernel panic during installation. With this update, kernel panic no longer occurs during installation.
Clone Of:
Environment:
Last Closed: 2010-11-10 19:12:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0842 0 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-11-22 19:34:20 UTC

Description RHEL Program Management 2010-10-11 13:45:05 UTC
This bug has been copied from bug #634703 and has been proposed
to be backported to 6.0 z-stream (EUS).

Comment 2 Frantisek Hrbata 2010-10-12 18:53:26 UTC
in kernel-2.6.32-71.4.1.el6

Comment 4 Gris Ge 2010-10-15 07:23:07 UTC
Cannot reproduce this issue with "Emulex LPe12002-M8".
It's firmware version is :
1.11A5 (U3D1.11A5), sli-3

Kernel version: 2.6.32-71.el6.x86_64
Reboot 5 times, no lpfc kernel panic came out.

As Bug #634703 spot out:
>Emulex believes there is exposure to this issue in large SAN environment where
>the device discovery process could see delayed responses which result in iocbs
>being queued.

Do we need a large SAN environment to reproduce this issue?

Comment 5 Rob Evers 2010-10-15 09:07:22 UTC
> Cannot reproduce this issue with "Emulex LPe12002-M8".
> It's firmware version is :
> 1.11A5 (U3D1.11A5), sli-3
> 
> Kernel version: 2.6.32-71.el6.x86_64
> Reboot 5 times, no lpfc kernel panic came out.
> 
> As Bug #634703 spot out:
> >Emulex believes there is exposure to this issue in large SAN environment where
> >the device discovery process could see delayed responses which result in iocbs
> >being queued.
> 
> Do we need a large SAN environment to reproduce this issue?

Very likely you do.

Comment 6 Barry Donahue 2010-10-21 14:50:52 UTC
I added 20 more SAN disks to the configuration and did a one hour reboot cycle for the system.

Comment 8 errata-xmlrpc 2010-11-10 19:12:15 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0842.html

Comment 9 Martin Prpič 2010-11-11 12:03:13 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Systems that have an Emulex FC controller (with SLI-3 based firmware) installed could return a kernel panic during installation. With this update, kernel panic no longer occurs during installation.


Note You need to log in before you can comment on or make changes to this bug.